%global module pymc

Name:           python-%{module}
Version:        3.11.4
Release:        %mkrel 1
Summary:        Markov Chain Monte Carlo sampling toolkit
License:        AFL
Group:          Sciences/Mathematics
Url:            https://github.com/pymc-devs/pymc
Source0:        %{module}-%{version}.tar.xz

BuildRequires:  blas-devel
BuildRequires:  gcc-gfortran
BuildRequires:  lapack-devel
BuildRequires:  locales-en

%description
PyMC is a python module that implements Bayesian statistical models
and fitting algorithms, including Markov chain Monte Carlo. Its
flexibility and extensibility make it applicable to a large suite of
problems. Along with core sampling functionality, PyMC includes
methods for summarizing output, plotting, goodness-of-fit and
convergence diagnostics.

%package -n python3-%{module}
Summary:        Python3 implementation of PyMC
Group:          Sciences/Mathematics
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-numpy-f2py
BuildRequires:  python3-pkg-resources
%{?python_provide:%python_provide python3-pymc}

%description -n python3-%{module}
PyMC is a python module that implements Bayesian statistical models
and fitting algorithms, including Markov chain Monte Carlo. Its
flexibility and extensibility make it applicable to a large suite of
problems. Along with core sampling functionality, PyMC includes
methods for summarizing output, plotting, goodness-of-fit and
convergence diagnostics.

%prep
%setup -qn %{module}-%{version}

%build
export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8
export LANGUAGE=en_US:en
pushd %{_builddir}/pymc-%{version}
%py3_build
popd

%install
pushd %{_builddir}/pymc-%{version}
%py3_install
popd

%files -n python3-%{module}
%doc LICENSE README.rst
%{python3_sitelib}/pymc3
%{python3_sitelib}/pymc3-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Aug 17 2022 TerryN <terryn94 at gmail.com> 3.11.4-1pclos2022
- update and rebuild for python 3.10

* Tue Mar 26 2019 tex - 2.3.7-2pclos2019
- rebuild against updates

* Mon Apr 16 2018 marcin82 <fixxer1982 at gmail.com> 2.3.7-1pclos2018
- update

* Tue Sep 12 2017 bb2 <bb2> - 2.3.6-2pclos2017
- rebuild against updates

* Mon Sep 04 2017 bb2 <bb2> - 2.3.6-1pclos2017
- new version
- new gcc
